Package org.eclipse.m2m.atl.core.ant.tasks.nested

## Class OutModel

- java.lang.Object
- - org.eclipse.m2m.atl.core.ant.tasks.nested.OutModel

    public class OutModel
    extends java.lang.Object

Output model nested element.

### Field Summary

Fields
`protected java.lang.String` `factory`
`protected java.lang.String` `metamodel`
`protected java.lang.String` `metamodelName`
`protected java.lang.String` `model`
`protected java.lang.String` `modelHandler`
`protected java.lang.String` `name`
`protected java.lang.String` `path`

### Constructor Summary

Constructors
`OutModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getFactory()`
`java.lang.String` `getMetamodel()`
`java.lang.String` `getMetamodelName()`
`java.lang.String` `getModel()`
`java.lang.String` `getModelHandler()`
`java.lang.String` `getName()`
`java.lang.String` `getPath()` Gets the path parameter.
`void` `setFactory​(java.lang.String factory)`
`void` `setMetamodel​(java.lang.String metamodel)`
`void` `setMetamodelName​(java.lang.String metamodelName)`
`void` `setModel​(java.lang.String model)`
`void` `setModelHandler​(java.lang.String modelHandler)`
`void` `setName​(java.lang.String name)`
`void` `setPath​(java.lang.String path)` Sets the path parameter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### model

    protected java.lang.String model

#### name

    protected java.lang.String name

#### metamodel

    protected java.lang.String metamodel

#### metamodelName

    protected java.lang.String metamodelName

#### modelHandler

    protected java.lang.String modelHandler

#### factory

    protected java.lang.String factory

#### path

    protected java.lang.String path

### Constructor Detail

#### OutModel

    public OutModel()

### Method Detail

#### getFactory

    public java.lang.String getFactory()

#### setFactory

    public void setFactory​(java.lang.String factory)

#### getModelHandler

    public java.lang.String getModelHandler()

#### setModelHandler

    public void setModelHandler​(java.lang.String modelHandler)

#### getMetamodel

    public java.lang.String getMetamodel()

#### setMetamodel

    public void setMetamodel​(java.lang.String metamodel)

#### getMetamodelName

    public java.lang.String getMetamodelName()

#### setMetamodelName

    public void setMetamodelName​(java.lang.String metamodelName)

#### setModel

    public void setModel​(java.lang.String model)

#### getModel

    public java.lang.String getModel()

#### getName

    public java.lang.String getName()

#### setName

    public void setName​(java.lang.String name)

#### setPath

    public void setPath​(java.lang.String path)

Sets the path parameter.

Parameters:
  `path` - The path to set.

#### getPath

    public java.lang.String getPath()

Gets the path parameter.

Returns:
  Returns the path.